Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1118191 - unlock_entity.sh fails with "psql: fe_sendauth: no password supplied"
Summary: unlock_entity.sh fails with "psql: fe_sendauth: no password supplied"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Eli Mesika
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-10 07:43 UTC by Nir Soffer
Modified: 2016-02-10 19:40 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:05:38 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 30568 master MERGED core: unlock_entity.sh fails on authentication Never
oVirt gerrit 30632 ovirt-engine-3.5 MERGED core: unlock_entity.sh fails on authentication Never

Description Nir Soffer 2014-07-10 07:43:51 UTC
Description of problem:

unlock_entity.sh fail to connect to the database:

[root@nott04 /]# /usr/share/ovirt-engine/dbscripts/unlock_entity.sh -t disk -q
psql: fe_sendauth: no password supplied

This tool does not contain a password option and does not ask for
password.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.4.1-0.23.el6ev

How reproducible:
Always

Steps to Reproduce:
1. Run script as root or as postgres

Workaround:
modify the database manually.

Comment 1 Oved Ourfali 2014-07-10 11:58:18 UTC
Eli - please have a look at it

Comment 2 Eli Mesika 2014-07-20 09:32:27 UTC
Please attach /var/lib/pgsql/data/pg_hba.conf

Comment 3 Nir Soffer 2014-07-20 11:42:12 UTC
(In reply to Eli Mesika from comment #2)
> Please attach /var/lib/pgsql/data/pg_hba.conf

You can find the file on root@nott04.

Comment 6 Eli Mesika 2014-07-22 10:26:10 UTC
The DB was configured in pg_hba.conf with md5
This means that in order to run this utility properly you should set the  PGPASSWORD or  PGPASSFILE environment variable.

Example:

>PGPASSWORD=xxxxxx ./unlock_entity.sh -u engine -t disk -q

I had added this information to the utility help

Comment 7 Petr Beňas 2014-08-28 09:17:07 UTC
-bash-4.1# rpm -qa ovirt-engine-dbscripts
ovirt-engine-dbscripts-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch
-bash-4.1# /usr/share/ovirt-engine/dbscripts/unlock_entity.sh -t disk -q
psql: fe_sendauth: no password supplied
FATAL: Cannot execute sql command: --command=
                        select
                                vm_id as entity_id,
                                disk_id
                        from
                                base_disks a,
                                images b,
                                vm_device c
                        where
                                a.disk_id = b.image_group_id and
                                b.image_group_id = c.device_id and
                                imagestatus = 2 and
                                is_plugged;

Comment 8 Eli Mesika 2014-08-28 09:31:53 UTC
You didn't verified as explained in comment 6

please verify again with

PGPASSWORD=xxxxxx /usr/share/ovirt-engine/dbscripts/unlock_entity.sh -t disk -q

Comment 9 Petr Beňas 2014-08-28 09:37:04 UTC
Sorry, I've missed the comment 6.
Verified in ovirt-engine-dbscripts-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch

Comment 12 errata-xmlrpc 2015-02-11 18:05:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.